// THE CHART
Highcharts.ganttChart("container", {
  title: {
    text: "CARP Gantt Chart",
  },
  series: [
    {
      name: "CARP",
      data: [
        {
          id: "t1",
          name: "Investigación y selección de herramientas para perfilado/performance testing",
          start: Date.UTC(2022, 0, 03),
          end: Date.UTC(2022, 0, 10),
        },
        {
          id: "t2",
          name: "Establecimiento del ambiente de pruebas y despliegue de pruebas",
          start: Date.UTC(2022, 0, 10),
          end: Date.UTC(2022, 0, 16),
          dependency: "t1",
        },
        {
          id: "s1",
          name: "Sprint 1",
          start: Date.UTC(2022, 0, 16),
          end: Date.UTC(2022, 0, 17),
          dependency: "t2",
          milestone: true,
        },
        {
          id: "t3",
          name: "Desarrollar CLI: configuración inicial",
          start: Date.UTC(2022, 0, 17),
          end: Date.UTC(2022, 0, 29),
        },
        {
          id: "t4",
          name: "Definir contrato entre plugins",
          start: Date.UTC(2022, 0, 17),
          end: Date.UTC(2022, 0, 29),
        },
        {
          id: "t5",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 29),
          end: Date.UTC(2022, 0, 30),
          dependency: ["t3", "t4"],
        },
        {
          id: "s2",
          name: "Sprint 2",
          start: Date.UTC(2022, 0, 30),
          end: Date.UTC(2022, 0, 31),
          dependency: "t5",
          milestone: true,
        },
        {
          id: "t6",
          name: "Desarrollar CLI: servidor web, módulo de enrutamiento",
          start: Date.UTC(2022, 0, 32),
          end: Date.UTC(2022, 0, 41),
        },
        {
          id: "t7",
          name: "Desarrollar plugin: JWT Authentication/Authorization",
          start: Date.UTC(2022, 0, 32),
          end: Date.UTC(2022, 0, 41),
        },
        {
          id: "t8",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 41),
          end: Date.UTC(2022, 0, 43),
          dependency: ["t6", "t7"],
        },
        {
          id: "t9",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 42),
          end: Date.UTC(2022, 0, 43),
          dependency: "t8",
        },
        {
          id: "s3",
          name: "Sprint 3",
          start: Date.UTC(2022, 0, 44),
          end: Date.UTC(2022, 0, 45),
          dependency: "t9",
          milestone: true,
        },
        {
          id: "t10",
          name: "Performance tunning del sprint anterior",
          start: Date.UTC(2022, 0, 45),
          end: Date.UTC(2022, 0, 47),
        },
        {
          id: "t11",
          name: "Desarrollar CLI: servidor web, proxy reverso",
          start: Date.UTC(2022, 0, 47),
          end: Date.UTC(2022, 0, 55),
          dependency: "t10",
        },
        {
          id: "t12",
          name: "Desarrollar plugin: JWT Authentication/Authorization",
          start: Date.UTC(2022, 0, 47),
          end: Date.UTC(2022, 0, 55),
        },
        {
          id: "t13",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 55),
          end: Date.UTC(2022, 0, 57),
          dependency: ["t11", "t12"],
        },
        {
          id: "t14",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 57),
          end: Date.UTC(2022, 0, 58),
          dependency: "t13",
        },
        {
          id: "s4",
          name: "Sprint 4",
          start: Date.UTC(2022, 0, 58),
          end: Date.UTC(2022, 0, 59),
          dependency: "t14",
          milestone: true,
        },
        {
          id: "t15",
          name: "Performance tunning del sprint anterior",
          start: Date.UTC(2022, 0, 59),
          end: Date.UTC(2022, 0, 61),
        },
        {
          id: "t16",
          name: "Desarrollar CLI: servidor web, módulo de almacén de respuestas",
          start: Date.UTC(2022, 0, 61),
          end: Date.UTC(2022, 0, 69),
          dependency: "t15",
        },
        {
          id: "t17",
          name: "Desarrollar plugin: Routes and Cache Hits",
          start: Date.UTC(2022, 0, 61),
          end: Date.UTC(2022, 0, 69),
        },
        {
          id: "t18",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 69),
          end: Date.UTC(2022, 0, 71),
          dependency: ["t16", "t17"],
        },
        {
          id: "t19",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 71),
          end: Date.UTC(2022, 0, 72),
          dependency: "t18",
        },
        {
          id: "s5",
          name: "Sprint 5",
          start: Date.UTC(2022, 0, 72),
          end: Date.UTC(2022, 0, 73),
          dependency: "t19",
          milestone: true,
        },
        {
          id: "t20",
          name: "Performance tunning del sprint anterior",
          start: Date.UTC(2022, 0, 73),
          end: Date.UTC(2022, 0, 75),
        },
        {
          id: "t21",
          name: "Desarrollar CLI: servidor web, caché HTTP",
          start: Date.UTC(2022, 0, 75),
          end: Date.UTC(2022, 0, 83),
          dependency: "t20",
        },
        {
          id: "t22",
          name: "Desarrollar plugin: Routes and Cache Hits",
          start: Date.UTC(2022, 0, 75),
          end: Date.UTC(2022, 0, 83),
        },
        {
          id: "t23",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 83),
          end: Date.UTC(2022, 0, 85),
          dependency: ["t21", "t22"],
        },
        {
          id: "t24",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 85),
          end: Date.UTC(2022, 0, 86),
          dependency: "t23",
        },
        {
          id: "s6",
          name: "Sprint 6",
          start: Date.UTC(2022, 0, 86),
          end: Date.UTC(2022, 0, 87),
          dependency: "t24",
          milestone: true,
        },
        {
          id: "t25",
          name: "Performance tunning del sprint anterior",
          start: Date.UTC(2022, 0, 87),
          end: Date.UTC(2022, 0, 89),
        },
        {
          id: "t26",
          name: "Desarrollar CLI: servidor web, módulo de eventos",
          start: Date.UTC(2022, 0, 89),
          end: Date.UTC(2022, 0, 97),
          dependency: "t25",
        },
        {
          id: "t27",
          name: "Desarrollar plugin: Redis Cache",
          start: Date.UTC(2022, 0, 89),
          end: Date.UTC(2022, 0, 97),
        },
        {
          id: "t28",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 97),
          end: Date.UTC(2022, 0, 99),
          dependency: ["t26", "t27"],
        },
        {
          id: "t29",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 99),
          end: Date.UTC(2022, 0, 100),
          dependency: "t28",
        },
        {
          id: "s7",
          name: "Sprint 7",
          start: Date.UTC(2022, 0, 100),
          end: Date.UTC(2022, 0, 101),
          dependency: "t29",
          milestone: true,
        },
        {
          id: "t30",
          name: "Performance tunning del sprint anterior",
          start: Date.UTC(2022, 0, 101),
          end: Date.UTC(2022, 0, 103),
        },
        {
          id: "t31",
          name: "Desarrollar CLI: servidor web, orquestador de plugins",
          start: Date.UTC(2022, 0, 103),
          end: Date.UTC(2022, 0, 111),
          dependency: "t30",
        },
        {
          id: "t32",
          name: "Desarrollar plugin: Redis Cache",
          start: Date.UTC(2022, 0, 103),
          end: Date.UTC(2022, 0, 111),
        },
        {
          id: "t33",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 111),
          end: Date.UTC(2022, 0, 113),
          dependency: ["t31", "t32"],
        },
        {
          id: "t34",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 113),
          end: Date.UTC(2022, 0, 114),
          dependency: "t33",
        },
        {
          id: "s8",
          name: "Sprint 8",
          start: Date.UTC(2022, 0, 114),
          end: Date.UTC(2022, 0, 115),
          dependency: "t34",
          milestone: true,
        },
        {
          id: "t35",
          name: "Performance tunning del sprint anterior",
          start: Date.UTC(2022, 0, 115),
          end: Date.UTC(2022, 0, 117),
        },
        {
          id: "t36",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 117),
          end: Date.UTC(2022, 0, 128),
          dependency: "t35",
        },
        {
          id: "t37",
          name: "Despliegue en ambiente de pruebas",
          start: Date.UTC(2022, 0, 117),
          end: Date.UTC(2022, 0, 128),
        },
        {
          id: "s9",
          name: "Sprint 9",
          start: Date.UTC(2022, 0, 128),
          end: Date.UTC(2022, 0, 129),
          dependency: "t37",
          milestone: true,
        },
        {
          id: "t38",
          name: "Configurar e implementar software para supervisión de rendimiento",
          start: Date.UTC(2022, 0, 129),
          end: Date.UTC(2022, 0, 134),
        },
        {
          id: "t39",
          name: "Entrega de solución informática",
          start: Date.UTC(2022, 0, 134),
          end: Date.UTC(2022, 0, 138),
          dependency: "t38",
        },
        {
          id: "t40",
          name: "Actualización de los capítulos del proyecto",
          start: Date.UTC(2022, 0, 138),
          end: Date.UTC(2022, 0, 142),
          dependency: "t39",
        },
        {
          id: "s10",
          name: "Sprint 10",
          start: Date.UTC(2022, 0, 142),
          end: Date.UTC(2022, 0, 143),
          dependency: "t40",
          milestone: true,
        },
      ],
    },
  ],
});
